package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;

import org.seasar.jsf.component.UITextNode;
import org.w3c.dom.Node;
import org.w3c.dom.Text;

/**
 * @author higa
 *  
 */
public class UITextNodeFactory extends AbstractComponentFactory {

	/**
	 * @param node
	 */
	public UITextNodeFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		return new UITextNode((Text) getNode());
	}
}